> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Get details about a single customer.



## OpenAPI

````yaml get /customers/{id}
openapi: 3.1.0
info:
  title: Customers API
  description: >-
    API for managing customers


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Customers
paths:
  /customers/{id}:
    get:
      tags:
        - Customers
      summary: Get Customer
      description: Get details about a single customer.
      operationId: getCustomer
      parameters:
        - in: path
          name: id
          schema:
            type: integer
            examples:
              - 67329889100573
          required: true
          description: The unique identifier for the customer, created by Loop.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerWrappedResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - read: []
components:
  schemas:
    CustomerWrappedResponse:
      type: object
      required:
        - customer
      properties:
        customer:
          $ref: '#/components/schemas/CustomerResponse'
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          examples:
            - Resource not found.
    CustomerResponse:
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier for the customer, created by Loop.
          examples:
            - 9007199254740991
        external_id:
          type:
            - string
            - 'null'
          description: The identifier used by an external source to identify the customer.
          examples:
            - 71263csss-12uhsdfh-2138dja
        sales_channel:
          type:
            - string
            - 'null'
          examples:
            - shopify
          description: The name of the channel associated with the customer.
        first_name:
          type:
            - string
            - 'null'
          description: The customer's given name.
          examples:
            - Edgar
        last_name:
          type:
            - string
            - 'null'
          description: The customer's surname.
          examples:
            - Martinez
        email:
          type:
            - string
            - 'null'
          description: The customer's email address.
          format: email
          examples:
            - sample@example.com
        phone:
          type:
            - string
            - 'null'
          description: The customer's phone number.
          examples:
            - 678-999-8212
        tags:
          type: array
          items:
            type: string
          examples:
            - - FirstPurchase
              - ReturnCustomer
          description: An array of tags associated with the customer.
  securitySchemes:
    read:
      type: apiKey
      in: header
      name: X-Authorization
      description: 'API Scope: "Customers (read)"'
      x-scope: Customers (Read)

````